#!/bin/bash

sudo apt install postgresql postgresql-contrib postgis postgresql-10-postgis-2.4;
sudo -u postgres -i
createuser osm
createdb -E UTF8 -O osm gis
psql -c "CREATE EXTENSION postgis;" -d gis
psql -c "CREATE EXTENSION hstore;" -d gis
psql -c "ALTER TABLE spatial_ref_sys OWNER TO osm;" -d gis
exit

git clone https://github.com/gravitystorm/openstreetmap-carto.git
wget http://download.geofabrik.de/europe/czech-republic-latest.osm.pbf
sudo nano /etc/postgresql/10/main/postgresql.conf
#shared_buffers = 4GB
#work_mem = 1GB
#maintenance_work_mem = 8GB
#effective_cache_size = 4GB
sudo systemctl restart postgresql
sudo nano /etc/ssh/ssh_config
ServerAliveInterval 60

sudo apt install osm2pgsql