package com.zauzoo.gpsservice.repository;

import com.zauzoo.gpsservice.entity.Tie;
import org.springframework.data.repository.CrudRepository;

import java.util.List;

public interface TieRepository extends CrudRepository<Tie, Long> {
    List<Tie> getAllBySectorxAndSectory(final Integer secX, final Integer secY);
    int countBySectorxAndSectory(final Integer secX, final Integer secY);
}