package com.zauzoo.gpsservice.maps;


import java.util.Objects;

public class MapImage {
    private Double latitude;
    private Double longtitude;
    private Integer zoom;

    private String path;

    public MapImage(Double latitude, Double longtitude, Integer zoom) {
        this.latitude = latitude;
        this.longtitude = longtitude;
        this.zoom = zoom;
    }

    public MapImage() {
    }

    public Double getLatitude() {
        return latitude;
    }

    public Double getLongtitude() {
        return longtitude;
    }

    public Integer getZoom() {
        return zoom;
    }

    public void setLatitude(Double latitude) {
        this.latitude = latitude;
    }

    public void setLongtitude(Double longtitude) {
        this.longtitude = longtitude;
    }

    public void setZoom(Integer zoom) {
        this.zoom = zoom;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        MapImage mapImage = (MapImage) o;
        return Objects.equals(getLatitude(), mapImage.getLatitude()) &&
                Objects.equals(getLongtitude(), mapImage.getLongtitude()) &&
                Objects.equals(getZoom(), mapImage.getZoom());
    }

    @Override
    public int hashCode() {
        return Objects.hash(getLatitude(), getLongtitude(), getZoom());
    }
}
