package com.zauzoo.gpsservice.repository;

import com.zauzoo.gpsservice.entity.Car;
import com.zauzoo.gpsservice.entity.User;
import org.springframework.data.repository.CrudRepository;

import java.util.List;

public interface CarRepository extends CrudRepository<Car, Long> {
    List<Car> findAllByUser_Apikey(final String api);
    Car findCarByUserAndExternalid(final User user, final String id);
    Car findCarByExternalid(final String id);
}
